Bug 245221 - security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.4.0
Summary: security/p5-openxpki, security/p5-openxpki-i18n: Update to 3.4.0
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL: https://github.com/openxpki/openxpki
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-03-31 19:32 UTC by Sergei Vyshenski
Modified: 2020-04-06 02:12 UTC (History)
1 user (show)

See Also:


Attachments
patch to update two ports (2.54 KB, patch)
2020-03-31 19:32 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update two ports (64.28 KB, patch)
2020-04-05 11:20 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff
patch to update two ports (64.28 KB, patch)
2020-04-05 11:21 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2020-03-31 19:32:51 UTC
Created attachment 212916 [details]
patch to update two ports

- Update 3.2.0 -> 3.2.1
Changes: https://github.com/openxpki/openxpki/releases/tag/v3.2.1
- limit PORTSCOUT to stay with stable versions only

- "portlint -AC" gives non-relevant warnings.
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.1-RELEASE-p3 amd64
poudriere 3.3.3
perl 5.30.2
pkg 1.13.2
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
- Some of built-in perl tests fail, which is an issue of the tests 
themselves, and upstream is working on this. It does not prevent 
software from working fine.
Comment 1 Automation User 2020-04-01 00:08:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/131576722
Comment 2 Sergei Vyshenski 2020-04-05 11:20:01 UTC
Created attachment 213089 [details]
patch to update two ports

- Update 3.2.0 -> 3.4.0
Changes: https://github.com/openxpki/openxpki/releases/tag/v3.2.1
- limit PORTSCOUT to stay with stable versions only, 
	cf: https://github.com/openxpki/openxpki#stable-releases

- "portlint -AC" gives non-relevant warnings, 
	cf: PR#244213
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.1-RELEASE-p3 amd64
poudriere 3.3.4
perl 5.30.2
pkg 1.14.2
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
- Some of built-in perl tests fail, which is an issue of the tests 
themselves, and upstream is working on this. It does not prevent 
software from working fine.
Comment 3 Sergei Vyshenski 2020-04-05 11:21:55 UTC
Created attachment 213090 [details]
patch to update two ports
Comment 4 Sergei Vyshenski 2020-04-05 11:37:23 UTC
- Update 3.2.0 -> 3.4.0
https://github.com/openxpki/openxpki/compare/v3.2.0...v3.4.0
- limit PORTSCOUT to stay with stable versions only, 
	cf: https://github.com/openxpki/openxpki#stable-releases

- "portlint -AC" gives non-relevant warnings, 
	cf: PR#244213
- "rclint -v files/openxpki.in" gives non-relevant warnings.
- Tested with:
12.1-RELEASE-p3 amd64
poudriere 3.3.4
perl 5.30.2
pkg 1.14.2
ssl=base
- During build, non-relevannt warns are issued about possible redundant use of 
modules from perl core.
- Some of built-in perl tests fail, which is an issue of the tests 
themselves, and upstream is working on this. It does not prevent 
software from working fine.